#include <iostream>
#include <cmath>

using namespace std;

int main()
{

  long long n,k;
  cin>>n;
  k=2*n;
  long long a[k];
  for(long long i=0;i<k-2;i++)
  {
      cin>>a[i];
  }
  cout<<round(n-(n/2))-1;
}